import { JsonObject } from '@angular-devkit/core';
import { BuildResult } from '@angular-devkit/build-webpack';
import { BuildBuilderOptions } from '@nrwl/node/src/utils/types';
export interface BuildNodeBuilderOptions extends BuildBuilderOptions {
    optimization?: boolean;
    sourceMap?: boolean;
    externalDependencies: 'all' | 'none' | string[];
}
export declare type NodeBuildEvent = BuildResult & {
    outfile: string;
};
declare const _default: import("@angular-devkit/architect/src/internal").Builder<JsonObject & BuildNodeBuilderOptions>;
export default _default;
